For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applicants
        • GETGet an applicant by ID
        • POSTCreate Applicant: Buildium
        • PUTUpdate Applicant: Buildium
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
BuildiumApplicants

Get an applicant by ID

GET
/v1/applicants/:id
GET
/v1/applicants/:id
$curl https://api.propexo.com/v1/applicants/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "applicant-987654321",
17 "x_property_id": "property-123456789",
18 "x_lead_id": null,
19 "x_unit_id_preferred": null,
20 "address_1_alternate": null,
21 "address_1": null,
22 "address_2_alternate": null,
23 "address_2": null,
24 "applications": [
25 {
26 "applicant_id": "clzct7ly60000opoz8kzn17lx",
27 "application_id": "clzct7ly60000opoz8kzn17lx",
28 "status_raw": "lease pending",
29 "status_normalized": "APPROVED",
30 "custom_data": {},
31 "status": null
32 }
33 ],
34 "city_alternate": null,
35 "city": null,
36 "country_alternate": null,
37 "country": null,
38 "custom_data": {},
39 "date_of_birth": null,
40 "email_1": "sally.jones@example.com",
41 "email_2": null,
42 "first_name": "Sally",
43 "last_name": "Jones",
44 "middle_name": null,
45 "notes": null,
46 "phone_1_type": "MOBILE",
47 "phone_1": "(123) 555-1234",
48 "phone_2_type": "FAX",
49 "phone_2": "(123) 555-5678",
50 "state_alternate": null,
51 "state": null,
52 "type_normalized": null,
53 "type_raw": null,
54 "zip_alternate": null,
55 "zip": null,
56 "pets": [
57 {
58 "id": "clwktsp9v000008l31iv218hn",
59 "created_at": "2024-03-21T15:38:08.337Z",
60 "updated_at": "2024-03-22T10:59:45.119Z",
61 "last_seen": "2024-03-22T10:59:45.119Z",
62 "x_id": "pet-123456789",
63 "age_in_years": 3.5,
64 "breed": "Golden Retriever",
65 "color": "Golden",
66 "gender_raw": "Female",
67 "is_declawed": false,
68 "is_fixed": true,
69 "is_service_animal": false,
70 "is_trained": true,
71 "is_vaccinated": true,
72 "name": "Bella",
73 "notes": "Very friendly and well-behaved",
74 "type": "Dog",
75 "weight_in_pounds": 65,
76 "custom_data": {}
77 }
78 ],
79 "integration_id": "clwh5u07w000508me66sfh3um",
80 "integration_vendor": "BUILDIUM",
81 "property_id": "clwi5xiix000008l6ctdgafyh",
82 "unit_id_preferred": null,
83 "screenings": [
84 {
85 "id": "clwktsp9v000008l31iv218hn",
86 "created_at": "2024-03-21T15:38:08.337Z",
87 "last_seen": "2024-03-22T10:59:45.119Z",
88 "x_id": "screening-987654321",
89 "status_raw": "clear",
90 "screening_date": "2024-03-20"
91 }
92 ],
93 "x_unit_id": "unit-456789123",
94 "x_lease_id": null,
95 "self_reported_income": [
96 {
97 "amount_in_cents": 325000,
98 "amount_raw": "3250.00",
99 "type_normalized": null,
100 "type_raw": null
101 }
102 ]
103 }
104}
Get an applicant by ID
Was this page helpful?
Previous

Create Applicant: Buildium

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error